package main

import (
	intcode "git.bullercodeworks.com/brian/adventofcode/2019/intcode-processor"
	helpers "git.bullercodeworks.com/brian/adventofcode/helpers"
)

var layout [][]byte

/*
L,4,L,4,L,10,R,4,R,4,L,4,L,4,R,8,R,10,L,4,L,4,L,10,R,4,R,4,L,10,R,10,L,4,L,4,L,10,R,4,R,4,L,10,R,10,R,4,L,4,L,4,R,8,R,10,R,4,L,10,R,10,R,4,L,10,R,10,R,4,L,4,L,4,R,8,R,10


*/

func main() {
	pt := helpers.GetArgNumber(1)
	prog := intcode.ReadIntCodeFile("input")

	if pt == "1" {
		part1(prog)
	} else if pt == "walk" {
		part1(prog)
		walk()
	} else {
		part2(prog)
	}
}
